Bug 2046969 - rust-asyncgit: FTBFS in Fedora rawhide/f36
Summary: rust-asyncgit: FTBFS in Fedora rawhide/f36
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rust-asyncgit
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rust SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F36FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-01-27 09:46 UTC by Fedora Release Engineering
Modified: 2022-02-20 17:42 UTC (History)
2 users (show)

Fixed In Version: rust-asyncgit-0.20.1-1.fc37
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-20 17:42:08 UTC
Type: ---


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2022-01-27 09:47 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2022-01-27 09:47 UTC, Fedora Release Engineering
no flags Details
state.log (1008 bytes, text/plain)
2022-01-27 09:47 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-01-27 09:46:59 UTC
rust-asyncgit failed to build from source in Fedora rawhide/f36

https://koji.fedoraproject.org/koji/taskinfo?taskID=81986220


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild
Please fix rust-asyncgit at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
rust-asyncgit will be orphaned. Before branching of Fedora 37,
rust-asyncgit will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-01-27 09:47:02 UTC
Created attachment 1856516 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2022-01-27 09:47:04 UTC
Created attachment 1856517 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-01-27 09:47:05 UTC
Created attachment 1856518 [details]
state.log

Comment 4 Ben Cotton 2022-02-08 20:34:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.

Comment 5 Fedora Update System 2022-02-20 17:41:00 UTC
FEDORA-2022-3aeaa108ba has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-3aeaa108ba

Comment 6 Fedora Update System 2022-02-20 17:42:08 UTC
FEDORA-2022-3aeaa108ba has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.